#!/usr/bin/env perl
use strict;
use warnings;
use Benchmark qw(cmpthese);
use LWP::UserAgent;
use Furl;

my $url = 'http://localhost:8000/index.html';
my $lwp  = LWP::UserAgent->new(timeout => 10);
my $furl = Furl->new(timeout=>10);

cmpthese(
    1000, {
        lwp  => sub { $lwp->get($url) },
        furl => sub { $furl->get($url) },
    });
